import os
from setuptools import setup

try:
    with open('README.md') as f:
        long_description = f.read()
except IOError:
    long_description = ""

setup(
    name='supervisor_cgroups',
    version="0.0.1",
    description="Supervisor event listener for configuring cgroups with processes managed by supervisor",
    long_description=long_description,
    author='Pavel',
    author_email='htch.git@gmail.com',
    url='http://github.com/htch/supervisor_cgroups',
    keywords=['cgroups', 'supervisor'],
    license='BSD',
    packages=['supervisor_cgroups'],
    namespace_packages=[],
    include_package_data=True,
    zip_safe=True,
    install_requires=['setuptools', 'supervisor'],
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Plugins',
        'Intended Audience :: Developers',
        'Intended Audience :: System Administrators',
        'License :: OSI Approved :: BSD License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Topic :: Software Development',
        'Topic :: System',
        'Topic :: Utilities',
    ],
    entry_points="""
    [console_scripts]
    supervisor_cgroups_listen = supervisor_cgroups.event_listener:main
    """
)